# QwtClipper Class Reference

Some clipping algos. More...

`#include <qwt_clipper.h>`

List of all members.

## Static Public Member Functions

static QwtPolygon | clipPolygon (const QRect &, const QwtPolygon &)
static QwtPolygonF | clipPolygonF (const QwtDoubleRect &, const QwtPolygonF &)
static QwtArray < QwtDoubleInterval > | clipCircle (const QwtDoubleRect &, const QwtDoublePoint &, double radius)

## Detailed Description

Some clipping algos.

## Member Function Documentation

QwtArray< QwtDoubleInterval > QwtClipper::clipCircle | ( | const QwtDoubleRect & | clipRect,
|  | const QwtDoublePoint & | center,
|  | double | radius |
| ) |  |  | `[static]`

Circle clipping

clipCircle() devides a circle into intervals of angles representing arcs of the circle. When the circle is completely inside the clip rectangle an interval [0.0, 2 * M_PI] is returned.

Parameters:

  | clipRect | Clip rectangle
  | center | Center of the circle
  | radius | Radius of the circle

Returns:
  Arcs of the circle

QwtPolygon QwtClipper::clipPolygon | ( | const QRect & | clipRect,
|  | const QwtPolygon & | polygon |
| ) |  |  | `[static]`

Sutherland-Hodgman polygon clipping

Parameters:

  | clipRect | Clip rectangle
  | polygon | Polygon

Returns:
  Clipped polygon

QwtPolygonF QwtClipper::clipPolygonF | ( | const QwtDoubleRect & | clipRect,
|  | const QwtPolygonF & | polygon |
| ) |  |  | `[static]`

Sutherland-Hodgman polygon clipping

Parameters:

  | clipRect | Clip rectangle
  | polygon | Polygon

Returns:
  Clipped polygon